// lightfilter (filter light going through it)
// [11:48] <sea{idle}> alphashadow (test light on a per-pixel basis)


// **************************************************************************
// **  			Servinals Universal Shader File			   **
// **************************************************************************
// **This file contains all the shaders used in the maps re_jerez and	   **
// **re_search. Arragned by type. None of these shaders replace the	   **
// **textures they are based on. But many use near duplicates of origional
// **shaders but without out them :(	 Nead too get duplicates sorted with other mappers!!**
// **************************************************************************


// ** MISC SHADERS **

textures/servtemp/fog
{
	qer_editorimage textures/serv2/fogblue.tga
	fogparms ( 0.535 0.574 0.613 ) 9216
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}


textures/servtemp/clip_wood
{
	qer_editorimage textures/servtemp/woodclip.tga
	surfaceparm nodraw
	surfaceparm playerclip
	qer_trans 0.4
}

textures/servtemp/clip_stone
{
	qer_editorimage textures/servtemp/stoneclip.tga
	surfaceparm nodraw
	surfaceparm playerclip
	qer_trans 0.4
}


textures/common/clip_metal
{
	qer_editorimage textures/servtemp/metalclip.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	qer_trans 0.4
}

// This is suposed be be noclip with all other things being normal.
// Rewrite completely you FOOL!

textures/servtemp/woodnonsolid
{
	qer_editorimage textures/re_wood/ywoodrt_df.tga
	surfaceparm nonsolid

	{
		map textures/re_wood/ywoodrt_df.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
}



// ** Simple Terrain Shaders **

//**Fur Based Grass Shader**
textures/re_terrain/grassfur
{
	qer_editorimage textures/re_grass/grassfurtest_serv.tga
	q3map_notjunc
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_bounce 0.0

	q3map_fur 3 0.5 0.25
//	q3map_fur <numLayers> <offset> <fade>

	q3map_forcesunlight
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
//	surfaceparm alphashadow
//	nomipmaps
	sort 7
//	surfaceparm nolightmap
	{
		map textures/re_grass/grassfurtest_serv.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/servtemp/grassTerrain
{
	qer_editorimage textures/re_grass/grassy6_mi.tga
	q3map_nonplanar
	q3map_shadeangle 120
    	q3map_cloneshader textures/re_terrain/grassfur
	{
		map textures/re_grass/grassy6_mi.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/servtemp/grassWalkTerrain
{
	q3map_nonplanar
	qer_editorimage textures/re_grass/grassy7_mi.tga
	q3map_shadeangle 120
	{
		map textures/re_grass/grassy7_mi.tga
		rgbGen identity
	}
	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/servtemp/rubbish_serv
{
	q3map_nonplanar
	qer_editorimage textures/re_metal/rubbish_serv.jpg
	q3map_shadeangle 120
	{
		map textures/re_metal/rubbish_serv.jpg
		rgbGen identity
	}
	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



// ** Skys **
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 =noon


textures/servtemp/area51_skybox
{
	qer_editorimage textures/servtemp/serv1sky.tga


	q3map_sunExt .5 .37 .19 70 -40 45 2 12
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 80 3
//	q3map_surfacelight 80 


	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	skyparms env/re_search/area51 - -

	nopicmip
	nomipmaps
} 

textures/servtemp/serv1_skybox
{
	qer_editorimage textures/servtemp/serv1sky.tga


	q3map_sunExt .5 .37 .19 70 -40 45 2 12
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 80 3
//	q3map_surfacelight 80 


	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	skyparms env/re_serv1/serv1 - -

	nopicmip
	nomipmaps
} 

textures/servtemp/wotg
{
	qer_editorimage textures/servtemp/serv1sky.tga


	q3map_sunExt .5 .37 .19 100 45 15 2 12
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 80 3
//	q3map_surfacelight 80 


	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	skyparms env/wotg/serv1 - -

	nopicmip
	nomipmaps
} 


textures/servtemp/jerezSky_serv
{
	qer_editorimage textures/servtemp/jereznight.tga


	q3map_sunExt .2 .2 .5 70 0 90 2 12
	q3map_lightmapFilterRadius 0 64
//	q3map_skyLight 80 3
	q3map_surfacelight 80 


	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	skyparms env/re_jerez/jereznight - -

	nopicmip
	nomipmaps
} 

//textures/servtemp/jerezNight
//{
//qer_editorimage textures/servtemp/serv1sky.tga
//surfaceparm noimpact
//surfaceparm nolightmap
//surfaceparm sky
//q3map_sun .2 .2 .5 70 -40 90
//q3map_surfacelight 80 

//skyparms env/re_jerez/jereznight - -

//} 


textures/servtemp/serv1_skybox_noglow
{
qer_editorimage textures/servtemp/serv1sky_noglow.tga
surfaceparm noimpact
surfaceparm nolightmap
surfaceparm sky
q3map_sun .5 .37 .19 70 -40 45
//q3map_surfacelight 80 

skyparms env/re_serv1/serv1 - -

} 


textures/servtemp/serv1_skybox_high
{
qer_editorimage textures/servtemp/serv1sky.tga
surfaceparm noimpact
surfaceparm nolightmap
surfaceparm sky
q3map_sun .5 .37 .19 70 -40 45
q3map_surfacelight 80 

skyparms env/re_serv1/serv1_high - -

} 

textures/servtemp/noshadowsand
{
qer_editorimage textures/re_outdoor/crackedsand_ld_cloud.jpg
surfaceparm nolightmap
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_outdoor/crackedsand_ld_cloud.jpg
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}


// ** Bump Mapped Shaders **

textures/tut/bumprock

{
	qer_editorimage textures/tut/rock-tex.tga
	q3map_normalimage textures/tut/rock-normal.tga
	q3map_lightmapsamplesize 1x1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map Textures/tut/rock-tex.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/tut/bumpdoor

{
	qer_editorimage textures/tut/door-tex.tga
	q3map_normalimage textures/tut/door-normal.tga
	q3map_lightmapsamplesize 1x1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map Textures/tut/door-tex.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/servtemp/pabx

{
	qer_editorimage textures/re_objects/pabx_serv.jpg
//	q3map_normalimage textures/re_objects/pabx_normal_serv.jpg
//	q3map_lightmapsamplesize 1x1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map Textures\re_objects/pabx_serv.jpg
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/servtemp/door38ba_rem_bump

{
	qer_editorimage textures/re_doors/door38ba_rem.tga
	q3map_normalimage textures/bumptest/door38ba_rem_normal.tga
	q3map_lightmapsamplesize 1x1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_doors/door38ba_rem.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/servtemp/stairsbump

{
	qer_editorimage textures/bumptest/stairs.tga
	q3map_normalimage textures/bumptest/stairs_normal.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_trim/stone_stairs_serv.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/servtemp/signBakeryBump

{
	qer_editorimage textures/re_signs/21-sm_jerez_sign_bakery.tga
	q3map_normalimage textures/servtemp/21-sm_jerez_sign_bakery_normal.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_signs/21-sm_jerez_sign_bakery.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/servtemp/signButcherBump

{
	qer_editorimage textures/re_signs/21-sm_jerez_sign_butchery.tga
	q3map_lightmapsamplesize 1x1
	q3map_normalimage textures/servtemp/21-sm_jerez_sign_butchery_normal.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_signs/21-sm_jerez_sign_butchery.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/servtemp/signBoatBump

{
	qer_editorimage textures/re_signs/21-sm_jerez_sign_boathouse.tga
	q3map_lightmapsamplesize 1x1
	q3map_normalimage textures/servtemp/21-sm_jerez_sign_boathouse_normal.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_signs/21-sm_jerez_sign_boathouse.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/servtemp/door49baBump

{
	qer_editorimage textures/re_doors/door49ba_rem.tga
	q3map_lightmapsamplesize 1x1
//	q3map_normalimage textures/servtemp/door49ba_normal.tga
	q3map_normalimage textures/bumptest/door49ba_rem_normal.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_doors/door49ba_rem.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/servtemp/curtain2
{
	qer_editorimage textures/bumptest/curtain01_serv.tga
	q3map_lightmapsamplesize 1x1
	q3map_normalimage textures/bumptest/curtain01_serv_normal.tga
	surfaceparm trans
	surfaceparm alphashadow
//	surfaceparm playerclip
	surfaceparm nonsolid
	cull none
	

	{
		map textures/re_windows/curtain01_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/woodoorbump
{
	q3map_lightmapsamplesize 1x1
	q3map_normalimage textures/bumptest/sub_doors512a25_serv_normal.tga
	qer_editorimage textures/re_doors/sub_doors512a25_serv.tga
    
        {
                map textures/re_glass/plainglass1_serv.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/re_doors/sub_doors512a25_serv.tga
                blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


//** Translucent Shaders **


textures/servtemp/fountain_serv
{
	qer_editorimage textures/re_outdoor/fountain_serv.tga
	qer_trans 0.99
	surfaceparm trans
	surfaceparm nomarks
 	surfaceparm nonsolid
 	cull none

 	deformVertexes wave 192 sin 0 1 0 .4
 	deformVertexes normal .5 .5



	{
		map textures/re_outdoor/fountain_serv.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0 -1
		rgbGen identity
	}
	{
		map textures/re_outdoor/fountain_serv.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0 -1.1
		rgbGen identity
	}
	{
		map textures/re_glass/plainglass2_serv.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
	        rgbGen identity
		tcGen environment
	}

//	{
//		map $lightmap
//		blendFunc filter
//	}


}


textures/servtemp/flags
{
	qer_editorimage textures/re_signs/flags_serv.tga
	q3map_lightmapsamplesize 1x1
 	q3map_normalimage textures/bumptest/door38ba_rem_normal.tga
 	surfaceparm trans
 	deformVertexes wave 192 sin 0 1 0 .4
 	deformVertexes normal .5 .5
 	surfaceparm alphashadow
 	surfaceparm nomarks
 	surfaceparm nonsolid
 	cull none	
 
 	{
 		map textures/re_signs/flags_serv.tga
 		blendFunc GL_ONE GL_ZERO
 		alphaFunc GE128
 		depthWrite
 		rgbGen identity
 	}
 	{
 		map $lightmap
  		rgbGen identity
 		blendFunc GL_DST_COLOR GL_ZERO
 		depthFunc equal
	}
 	{
 		map textures/sfx/shadow.tga
 		tcGen environment
 		blendFunc filter
		rgbGen identity
 		depthFunc equal
 	}
}



textures/servtemp/globe
{
	qer_editorimage textures/re_misc/world_serv.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 300
	cull none
	
	{
		map textures/re_misc/world_serv.tga
                tcMod Scroll .1 0
                blendFunc add
        }  
}


textures/servtemp/globebeam
{
	qer_editorimage textures/re_misc/beamgreen_serv.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/re_misc/beamgreen_serv.tga
                tcMod Scroll .1 0
                blendFunc add
        }
     
}

textures/servtemp/globebeam2
{
	qer_editorimage textures/re_misc/beamgreen_serv.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/re_misc/beamgreen_serv.tga
                tcMod Scroll -.1 0
                blendFunc add
        }
     
}

textures/servtemp/metal2way
{
	qer_editorimage textures/re_metal/metal_darkaluminum.tga
	cull none

	{
		map textures/re_metal/metal_darkaluminum.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/servtemp/dock
{
	qer_editorimage textures/re_wood/wood_bridge_ik.tga

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	qer_trans 0.99
	cull none

	{
		map textures/re_wood/wood_bridge_ik.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/servtemp/wood_bridge
{
	qer_editorimage textures/re_wood/wood_bridge_ik.tga

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm playerclip
	qer_trans 0.99
	cull none

	{
		map textures/re_wood/wood_bridge_ik.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



textures/servtemp/potplant1
{
	qer_editorimage textures/re_objects/potplant1_serv.tga

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
//	surfaceparm playerclip
	qer_trans 0.99
	cull none

	{
		map textures/re_objects/potplant1_serv.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

		depthFunc equal
	}
}

textures/servtemp/web
{
	qer_editorimage textures/re_objects/deco_philiplambrakis2_serv.tga

	surfaceparm trans
//	surfaceparm alphashadow
	surfaceparm nonsolid
//	surfaceparm playerclip
	qer_trans 0.99
	cull none

	{
		map textures/re_objects/deco_philiplambrakis2_serv.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

		depthFunc equal
	}
}

textures/servtemp/fanblades
{
	qer_editorimage textures/re_trim/tag-fan-blade_yd.tga

	surfaceparm trans
//	surfaceparm alphashadow
	surfaceparm nonsolid
//	surfaceparm playerclip
	qer_trans 0.99
	cull none

	{
		map textures/re_trim/tag-fan-blade_yd.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
      		tcMod rotate 256
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

		depthFunc equal
	}
}

textures/servtemp/fanblack
{
	qer_editorimage textures\re_trim\tag-fan-shadow_serv.tga

	surfaceparm trans
//	surfaceparm alphashadow
	surfaceparm nonsolid
//	surfaceparm playerclip
	qer_trans 0.99
	cull none

	{
		map textures\re_trim\tag-fan-shadow_serv.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE0
      		tcMod rotate 256
		depthWrite
		rgbGen identity
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//
//		depthFunc equal
//	}
}


//*Projected fan shadow decal*
textures/servtemp/fanshadow
{
	qer_editorimage textures\re_trim\tag-fan-shadow2_serv.tga
   	surfaceparm nomarks
   	polygonOffset
	{
		map textures\re_trim\tag-fan-shadow2_serv.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_zero
//		alphaFunc GE0
      		tcMod rotate 256
//		depthWrite
		rgbGen identity
	}
}


textures/servtemp/mural1
{
	qer_editorimage textures\re_art\mural1_serv.tga
   	surfaceparm nomarks
   	polygonOffset
	{
		map textures\re_art\mural1_serv.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_zero
//		alphaFunc GE0
//      		tcMod rotate 256
//		depthWrite
		rgbGen identity
	}
}

textures/servtemp/mural2
{
	qer_editorimage textures\re_art\mural2_serv.tga
   	surfaceparm nomarks
   	polygonOffset
	{
		map textures\re_art\mural2_serv.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_zero
//		alphaFunc GE0
//      		tcMod rotate 256
//		depthWrite
		rgbGen identity
	}
}

//**Poster Decals**
textures/servtemp/jerezmap_serv
{
	qer_editorimage textures\re_paper\jerezmap_serv.tga
   	surfaceparm nomarks
   	polygonOffset
	{
		map textures\re_paper\jerezmap_serv.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		blendfunc gl_dst_color gl_zero
//		alphaFunc GE0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		//rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

		depthFunc equal
	}
}


textures/servtemp/transgrate
{
	qer_editorimage textures\re_grates\shiny_fatbars_alpha_serv.tga

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
//	surfaceparm playerclip
	qer_trans 0.99
	cull none

	{
		map textures\re_grates\shiny_fatbars_alpha_serv.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

		depthFunc equal
	}
}



textures/servtemp/cinderblock
{
	qer_editorimage textures/servtemp/cinderblock.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
//	surfaceparm nonsolid
//	surfaceparm nomarks
	cull none
	

	{
		map textures/servtemp/cinderblock.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/servtemp/ladder_rusty
{
	qer_editorimage textures/re_metal/metal_rusty5eee_ladder_serv.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	

	{
		map textures/re_metal/metal_rusty5eee_ladder_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/cheaparch
{
	qer_editorimage textures/re_stucco/card_rough_stucco_arch_serv.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
//	surfaceparm nonsolid
//	surfaceparm nomarks
	cull none
	

	{
		map textures/re_stucco/card_rough_stucco_arch_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/grasstrans
{
	qer_editorimage textures/re_outdoor/grasstrim_serv.tga
	qer_trans .9
//	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
//	q3map_nonplanar
//	q3map_shadeangle 120
//	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	
	deformVertexes wave 192 sin 0 1 0 .5
//	deformVertexes normal .5 .5
//	deformVertexes bulge .1 1 1

	{
		map textures/re_outdoor/grasstrim_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/grasstrans2
{
	qer_editorimage textures/re_outdoor/grasstrim_serv.tga
	qer_trans .9
//	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
//	q3map_nonplanar
//	q3map_shadeangle 120
//	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	

	{
		map textures/re_outdoor/grasstrim_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
		tcMod turb 0 .005 0 .5
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/shrubtrans
{
	qer_editorimage textures/re_outdoor/shrub1_serv.tga
	qer_trans 0.9
//	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
//	q3map_nonplanar
//	q3map_shadeangle 120
//	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	

	{
		map textures/re_outdoor/shrub1_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/servtemp/stealthtrans
{
	qer_editorimage textures/re_misc/stealth_serv.tga
	qer_trans 0.5
//	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
//	q3map_nonplanar
//	q3map_shadeangle 120
//	surfaceparm playerclip
//	surfaceparm nonsolid
//	surfaceparm nomarks
//	cull none
	

	{
		map textures/re_misc/stealth_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/servtemp/vinestrans
{
	qer_editorimage textures/re_outdoor/vines02_serv.tga
	qer_trans 0.9
	surfaceparm trans
	surfaceparm alphashadow
	q3map_nonplanar
	q3map_shadeangle 120
//	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	
	{
		map textures/re_outdoor/vines02_serv.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}




textures/servtemp/trellistrans
{
	qer_editorimage textures/re_outdoor/trellis01_serv.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip

	{
		map textures/re_outdoor/trellis01_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/pipestrans
{
	qer_editorimage textures/re_metal/pipes_serv.tga
	qer_trans .9
	surfaceparm alphashadow
	surfaceparm trans

	{
		map textures/re_metal/pipes_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/metholetrans
{
	qer_editorimage textures/re_metal/metalholes2_serv.tga
	qer_trans .9
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/re_metal/metalholes2_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/servtemp/woodblinds
{
	qer_editorimage textures/re_wood/shutter_serv.tga
	qer_trans .9
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/re_wood/shutter_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/woodblinds2
{
	qer_editorimage textures/re_wood/shutter2_serv.tga
	qer_trans .9
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/re_wood/shutter2_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/woodblinds3
{
	qer_editorimage textures/re_wood/shutter3_serv.tga
	qer_trans .9
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/re_wood/shutter3_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/wire1
{
	qer_editorimage textures/re_lights/wire1_serv.tga
	qer_trans .9
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/re_lights/wire1_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/bulb1
{
	qer_editorimage textures/re_lights/bulb1_serv.tga
	qer_trans .9
	surfaceparm trans
//	surfaceparm alphashadow
	cull none

	{
		map textures/re_lights/bulb1_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//	}
}

textures/servtemp/supporttrans
{
	qer_editorimage textures/re_misc/supporthanger_serv.tga
	qer_trans .9
//	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
//	q3map_nonplanar
//	q3map_shadeangle 120
	surfaceparm playerclip
//	surfaceparm nonsolid
//	surfaceparm nomarks
	cull none

	{
		map textures/re_misc/supporthanger_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/re_fence/gate
{
        qer_editorimage textures/re_fence/gate_serv.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	cull none
        
	{
		map textures/re_fence/gate_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/re_metal/iron_hanger
{
        qer_editorimage textures/re_metal/iron_hanger_serv.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	cull none
        
	{
		map textures/re_metal/iron_hanger_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/re_fence/iron_gate01
{
        qer_editorimage textures/servtemp/gate1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	cull none
        
	{
		map textures/re_fence/irongate01_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/re_fence/iron_gate02
{
        qer_editorimage textures/re_fence/irongate02_serv.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	cull none
        
	{
		map textures/re_fence/irongate02_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/re_fence/iron_gate_trim
{
        qer_editorimage textures/servtemp/gatetrim.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	cull none
        
	{
		map textures/re_fence/irongatetrim_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


// ** Decal Shaders **

textures/servtemp/doorlogodecal
{
	qer_editorimage textures/re_signs/logodecal_serv.tga
	polygonOffset

	{
		map textures/re_signs/logodecal_serv.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/servtemp/ystripedecal
{
	qer_editorimage textures/re_concrete/cement_2_yellow_yd.tga
	polygonOffset

	{
		map textures/re_concrete/cement_2_yellow_yd.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/servtemp/gratedecal

{
	qer_editorimage textures/re_grates/solid_vent.tga
	polygonOffset
	sort 6
	surfaceparm nomarks
	{
		map $lightmap
	}
	{
		map textures/re_grates/solid_vent.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/re_fabric/rug_x3_serv
{
	qer_editorimage Textures/re_fabric/rug_x3_serv.tga
	polygonOffset
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	

	{
		map Textures\re_fabric\rug_x3_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/rosedecal
{
	qer_editorimage textures/re_art/rosedecal_serv.tga
	surfaceparm trans
	polygonOffset

	{
		map textures/re_art/rosedecal_serv.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
		alphaFunc GE128
//		depthWrite
	}
}

// ** Light Emmiting AND Fullbright Shaders **

//*Light Emmiting*

textures/servtemp/xlight5
{
	qer_editorimage textures/base_light/xlight5.tga
//	surfaceparm nomarks
//	surfaceparm nonsolid
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.tga
//		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/servtemp/sqlight
{
	qer_editorimage textures/re_lights/sqlight_serv.tga
//	surfaceparm nomarks
//	surfaceparm nonsolid
	q3map_surfacelight 4000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_lights/sqlight_serv.tga
//		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_lights/sqlightblend_serv.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/servtemp/rndlight
{
	qer_editorimage textures/re_lights/light4a_mi.tga
//	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_lights/light4a_mi.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_lights/light4a_mi_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/servtemp/hanglight5K
{
	qer_editorimage textures/re_lights/light_hang_serv.tga
//	surfaceparm nomarks
//	surfaceparm nonsolid
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_lights/light_hang_serv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_lights/light_hang_serv_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/servtemp/hanglight10K
{
	qer_editorimage textures/re_lights/light_hang_serv.tga
//	surfaceparm nomarks
//	surfaceparm nonsolid
	q3map_surfacelight 10000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_lights/light_hang_serv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_lights/light_hang_serv_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/servtemp/sublight5K
{
	qer_editorimage textures/re_lights/sublight_serv.tga
//	surfaceparm nomarks
//	surfaceparm nonsolid
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_lights/sublight_serv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_lights/sublight_blend_Serv.tga
		blendfunc GL_ONE GL_ONE
	}
}

//*Fullbright Shaders*

textures/servtemp/display01
{
	qer_editorimage textures/re_misc/display01_serv.tga
	q3map_surfacelight 200

	{
		map $lightmap
		rgbGen identity
	}
	{
		aniMmap .2 textures/re_misc/display01_serv.tga textures/re_misc/display06_serv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/re_misc/flicker00_serv.tga
		tcMod scroll 1 -10
		blendfunc add
	}
	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/servtemp/display02
{
	qer_editorimage textures/re_misc/display02_serv.tga
	q3map_surfacelight 200

	{
		map $lightmap
		rgbGen identity
	}
	{
		aniMmap .3 textures/re_misc/display02_serv.tga textures/re_misc/display08_serv.tga textures/re_misc/display07_serv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/re_misc/flicker00_serv.tga
		tcMod scroll 1 -10
		blendfunc add
	}
	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/servtemp/display05
{
	qer_editorimage textures/re_misc/display05_serv.tga
	q3map_surfacelight 200

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_misc/display05_serv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/re_misc/flicker00_serv.tga
		tcMod scroll 1 -10
		blendfunc add
	}
	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}



textures/servtemp/display09
{
	qer_editorimage textures/re_misc/display09_serv.tga
	q3map_surfacelight 200

	{
		map $lightmap
		rgbGen identity
	}
	{
		animMap .4 textures/re_misc/display09_serv.tga textures/re_misc/display10_serv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/re_misc/flicker00_serv.tga
		tcMod scroll 1 -10
		blendfunc add
	}
	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/servtemp/busteddisplay
{   
	qer_editorimage textures/re_glass/bustedglass_serv.tga
    
        {
                map textures/effects/tinfx.tga
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/re_glass/bustedglass_serv.tga
                blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/servtemp/halonblue
{
        qer_editorimage textures/re_objects/halon_blue_serv.tga
	surfaceparm playerclip
	surfaceparm nolightmap
        
	{
		map textures/re_objects/halon_blue_serv.tga
		rgbGen identity
	}
}


textures/servtemp/halonred
{
        qer_editorimage textures/re_objects/halon_red_serv.tga
	surfaceparm playerclip
	surfaceparm nolightmap
        
	{
		map textures/re_objects/halon_red_serv.tga
		rgbGen identity
	}
}

textures/servtemp/sailboat1
{
        qer_editorimage textures/re_misc/sailboat1_serv.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
//	cull none
        
	{
		map textures/re_misc/sailboat1_serv.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/servtemp/curtainlight
{
	qer_editorimage textures/re_wallpaper/wall33_blend_serv.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_wallpaper/wall33_512x512_mp.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_wallpaper/wall33_blend_serv.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/servtemp/curtainfullbright
{
	qer_editorimage textures/re_wallpaper/wall33_blend_serv.tga
	surfaceparm nomarks
	surfaceparm nonsolid
//	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_wallpaper/wall33_512x512_mp.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_wallpaper/wall33_blend_serv.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/servtemp/curtainfullbright2
{
	qer_editorimage textures/re_wallpaper/paper11_blend2_serv.tga
    	surfaceparm trans
//	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
        

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_wallpaper/paper11_mi.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_wallpaper/paper11_blend2_serv.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Fullbright striped plastic for office style lights.
// No surface light as used with realworld light shaders.
textures/re_lights/plasticcover_serv
{
	surfaceparm nolightmap
	qer_editorimage textures/re_lights/plasticcover_serv.tga

	{
		map textures/re_lights/plasticcover_serv.tga
		rgbGen identity
	}
}

textures/servtemp/windowlight
{
	qer_editorimage textures/re_windows/sub_window33_blend_serv.tga
//	surfaceparm nomarks
//	surfaceparm nonsolid
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_windows/sub_window33_serv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_windows/sub_window33_blend_serv.tga
		blendfunc GL_ONE GL_ONE
	}
}



textures/servtemp/windowlight2
{
	qer_editorimage textures/re_windows/sub_window31_blend_serv.tga
//	surfaceparm nomarks
//	surfaceparm nonsolid
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_windows/sub_window31_serv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_windows/sub_window31_blend_serv.tga
		blendfunc GL_ONE GL_ONE
	}
}

//** Environment Mapped and Detail Shaders **


//*Environment Mapped Shaders*



textures/servtemp/winarch
{
	qer_editorimage textures/re_glass/glassarch2_serv.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm lightfilter
	surfaceparm nonsolid
	surfaceparm playerclip
	cull none
//	sort 10

	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/re_glass/glassarch2_serv.tga
		blendFunc BLEND
		alphaFunc GT0
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/servtemp/winarchglass
{
	qer_editorimage textures/re_glass/glassarchtrim_serv.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm lightfilter
	cull none

	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/re_glass/glassarchtrim_serv.tga
		blendFunc BLEND
		alphaFunc GT0
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/servtemp/windowold
{
	qer_editorimage textures/re_windows/sub_window33_serv.tga



	{
		map textures/re_windows/sub_window33_serv.tga
//		blendFunc GL_ZERO GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/re_glass/plainglass2_serv.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
	        rgbGen identity
		tcGen environment
	}
}



textures/servtemp/windowct
{
	qer_editorimage textures/re_windows/sub_window33_serv.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/re_windows/sub_window33_serv.tga
		blendFunc BLEND
		alphaFunc GT0
	}

}


textures/servtemp/building1
{
	qer_editorimage textures/re_walls/building1_serv.tga


	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_walls/building1_serv.tga
		blendFunc FILTER
		rgbGen identity
	}
	{
		map textures/re_glass/plainglass1_serv.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
	        rgbGen identity
		tcGen environment
	}
}

textures/servtemp/building2
{
	qer_editorimage textures/re_walls/building2_serv.tga


	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_walls/building2_serv.tga
		blendFunc FILTER
		rgbGen identity
	}
	{
		map textures/re_glass/plainglass1_serv.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
	        rgbGen identity
		tcGen environment
	}
}

textures/servtemp/building3
{
	qer_editorimage textures/re_walls/building3_serv.tga


	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_walls/building3_serv.tga
		blendFunc FILTER
		rgbGen identity
	}
	{
		map textures/re_glass/plainglass1_serv.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
	        rgbGen identity
		tcGen environment
	}
}

textures/servtemp/building4
{
	qer_editorimage textures/re_walls/building4_serv.tga


	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_walls/building4_serv.tga
		blendFunc FILTER
		rgbGen identity
	}
	{
		map textures/re_glass/plainglass1_serv.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
	        rgbGen identity
		tcGen environment
	}
}

textures/servtemp/amblight_serv
{
	qer_editorimage textures/re_metal/metal8_mi.jpg
//	q3map_surfacelight 5000
//	cull none

	{
		map textures/re_glass/plainglass1_serv.tga 
	        rgbGen identity
		tcGen environment
//		tcmod scale .25 .25
	}
	
	{
		map textures/re_metal/metal8_mi.jpg
//		blendFunc filter
		blendFunc add
		rgbGen identity
	}
//	{
//		map $lightmap
//		blendfunc gl_dst_color gl_dst_alpha
//		blendfunc add
//		rgbGen identity
//	}
}




textures/re_metal/shinyblack
{
	qer_editorimage textures/re_asphalt/asphalt-dark_yd.tga

	{
//		map textures/common/env_plain.tga
		map textures/effects/tinfx2.tga
	        rgbGen identity
		tcGen environment
//		tcmod scale .25 .25
	}
	
	{
		map textures/re_asphalt/asphalt-dark_yd.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_dst_alpha
		rgbGen identity
	}
}


//textures/re_metal/shinysilver
//{
//	qer_editorimage textures/re_metal/bomber_metal1_gol.tga
//
//	{
//		map textures/common/env_plain.tga 
//	        rgbGen identity
//		tcGen environment
//		tcmod scale .25 .25
//	}
//	
//	{
//		map textures/re_metal/bomber_metal1_gol.tga
//		blendFunc filter
//		rgbGen identity
//	}
//	{
//		map $lightmap
//		blendfunc gl_dst_color gl_dst_alpha
//		rgbGen identity
//	}
//}

textures/re_metal/shinysilver2
{
	qer_editorimage textures/re_metal/bomber_metal1_gol.tga

	{
		map textures/re_glass/plainglass1_serv.tga
	        rgbGen identity
		tcGen environment
//		tcmod scale .25 .25
	}
//	{
//		map $lightmap
//		rgbGen identity
//	}
	{
		map $lightmap
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/re_metal/bomber_metal1_gol.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}

}

textures/re_metal/shinysilver
{
	qer_editorimage textures/re_metal/bomber_metal1_gol.tga


	{
		map textures/re_metal/bomber_metal1_gol.tga
//		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/re_glass/plainglass2_serv.tga
		blendfunc blend
	        rgbGen identity
		tcGen environment
		tcmod scale 2.5 2.5
	}
	{
		map $lightmap
		blendfunc filter
	        rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_one gl_one
		rgbGen identity
	}




}

textures/servtemp/glassdirtold
{
	qer_editorimage textures/re_glass/glassdirtimg_serv.tga
	qer_trans 0.9
	surfaceparm trans

	{  
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/re_glass/glassdirt_serv.tga
		blendFunc BLEND
		alphaFunc GT0
		rgbGen identity
	}
}

textures/servtemp/glasstripe
{
	qer_editorimage textures/re_glass/glasstripeb_serv.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/re_glass/glasstripeb_serv.tga
		blendFunc BLEND
		alphaFunc GT0
	}

}


textures/servtemp/glassglowstripe
{
	qer_editorimage textures/re_glass/glasstripeb_serv.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm lightfilter
//	surfaceparm q3map_surfacelight 100

	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/re_glass/glasstripeb_serv.tga
		blendFunc BLEND
		alphaFunc GT0
	}

}

textures/servtemp/glasstripe2
{
	qer_editorimage textures/re_glass/glasstripeb2_serv.tga
	qer_trans 0.8
//	surfaceparm playerclip
	surfaceparm trans
	surfaceparm lightfilter


	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/re_glass/glasstripeb2_serv.tga
		blendFunc BLEND
		alphaFunc GT0
		rgbGen identity
	}
}

textures/servtemp/glasstripe3
{
	qer_editorimage textures/re_glass/glasstripe3_serv.tga
	qer_trans 0.8
//	surfaceparm playerclip
	surfaceparm trans
	surfaceparm lightfilter


	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/re_glass/glasstripe3_serv.tga
		blendFunc BLEND
		alphaFunc GT0
		rgbGen identity
	}
}


textures/servtemp/glasswh
{
	qer_editorimage textures/re_windows/whplacer_serv.tga
	qer_trans 0.9
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/plainglass1_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/servtc/whdirt_serv.tga
		blendfunc blend
	}
	{
		map textures/re_windows/whwindow_serv.tga
		//blendFunc BLEND
		alphafunc LT128
		depthwrite
	}
        {
		map $lightmap
                blendFunc filter
		depthfunc equal	
	}
}

textures/servtc/glasswh1
{
	qer_editorimage textures/re_windows/whplacer_serv.tga
//	qer_trans 1
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/envglass1_serv.tga
		tcMod transform 1 0 0 1 .5 0
		tcGen environment
//		tcMod transform 10 1 1 1 0 0
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/servtc/whdirt_serv.tga
		blendfunc blend
	}
	{
		map textures/re_windows/whwindow_serv.tga
		//blendFunc BLEND
		alphafunc LT128
		depthwrite
	}
        {
		map $lightmap
                blendFunc filter
		depthfunc equal	
	}
}

textures/servtc/glasswh2
{
	qer_editorimage textures/re_windows/whplacer_serv.tga
//	qer_trans 1
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/envglass2_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/servtc/whdirt_serv.tga
		blendfunc blend
	}
	{
		map textures/re_windows/whwindow_serv.tga
		//blendFunc BLEND
		alphafunc LT128
		depthwrite
	}
        {
		map $lightmap
                blendFunc filter
		depthfunc equal	
	}
}
textures/servtc/glasswh3
{
	qer_editorimage textures/re_windows/whplacer_serv.tga
//	qer_trans 1
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/envglass3_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/servtc/whdirt_serv.tga
		blendfunc blend
	}
	{
		map textures/re_windows/whwindow_serv.tga
		//blendFunc BLEND
		alphafunc LT128
		depthwrite
	}
        {
		map $lightmap
                blendFunc filter
		depthfunc equal	
	}
}
textures/servtc/glasswh4
{
	qer_editorimage textures/re_windows/whplacer_serv.tga
//	qer_trans 1
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/envglass4_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/servtc/whdirt_serv.tga
		blendfunc blend
	}
	{
		map textures/re_windows/whwindow_serv.tga
		//blendFunc BLEND
		alphafunc LT128
		depthwrite
	}
        {
		map $lightmap
                blendFunc filter
		depthfunc equal	
	}
}
textures/servtc/glasswh5
{
	qer_editorimage textures/re_windows/whplacer_serv.tga
//	qer_trans 1
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/envglass5_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/servtc/whdirt_serv.tga
		blendfunc blend
	}
	{
		map textures/re_windows/whwindow_serv.tga
		//blendFunc BLEND
		alphafunc LT128
		depthwrite
	}
        {
		map $lightmap
                blendFunc filter
		depthfunc equal	
	}
}

textures/servtc/glasswh6
{
	qer_editorimage textures/re_windows/whplacer_serv.tga
//	qer_trans 1
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/envglass6_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/servtc/whdirt_serv.tga
		blendfunc blend
	}
	{
		map textures/re_windows/whwindow_serv.tga
		//blendFunc BLEND
		alphafunc LT128
		depthwrite
	}
        {
		map $lightmap
                blendFunc filter
		depthfunc equal	
	}
}


textures/servtc/glasswh7
{
	qer_editorimage textures/re_windows/whplacer_serv.tga
//	qer_trans 1
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/envglass7_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/servtc/whdirt_serv.tga
		blendfunc blend
	}
	{
		map textures/re_windows/whwindow_serv.tga
		//blendFunc BLEND
		alphafunc LT128
		depthwrite
	}
        {
		map $lightmap
                blendFunc filter
		depthfunc equal	
	}
}

textures/servtc/glasswh8
{
	qer_editorimage textures/re_windows/whplacer_serv.tga
//	qer_trans 1
	surfaceparm trans
	surfaceparm lightfilter

	{
		map textures/re_glass/envglass8_serv.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/servtc/whdirt_serv.tga
		blendfunc blend
	}
	{
		map textures/re_windows/whwindow_serv.tga
		//blendFunc BLEND
		alphafunc LT128
		depthwrite
	}
        {
		map $lightmap
                blendFunc filter
		depthfunc equal	
	}
}


//*Detail Shaders*

textures/re_stucco/owtmtltl_df
{
	qer_editorimage textures/re_stucco/owtmtltl_df
	// draw the lightmap first
	{
		map $lightmap
		rgbGen identity
	}

	// modify the lightmap in the framebuffer by
	// a highly compressed detail texture
	{
		map textures/re_stucco/owtmtltl_df.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		// YOU MUST USE THIS!!
		detail
		// for the detail to be disabled, this must be present
		tcMod scale 3.1 3.2
	}

	// now slap on the base texture
	{
		map textures/re_stucco/owtmtltl_df.tga
		blendFunc filter
	}
}


textures/re_stucco/card_rough_stucco
{
	qer_editorimage textures/re_stucco/card_rough_stucco.tga
	// draw the lightmap first
	{
		map $lightmap
		rgbGen identity
	}
	// modify the lightmap in the framebuffer by
	// a highly compressed detail texture
	{
		map textures/re_stucco/card_rough_stucco.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		// YOU MUST USE THIS!!
		detail
		// for the detail to be disabled, this must be present
		tcMod scale 6.1 6.2
	}
	// now slap on the base texture
	{
		map textures/re_stucco/card_rough_stucco.tga
		blendFunc filter
	}
}

textures/servtemp/concrete1_detail
{
	qer_editorimage textures/re_concrete/aerhcrete03_256.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_detail/concrete1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 10.1 10.2
	}
	{
		map textures/re_concrete/aerhcrete03_256.tga
		blendFunc filter
	}
}

textures/servtemp/metalblack_detail
{
	qer_editorimage textures/common/invisible.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/re_detail/pockmetal.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 5.1 5.2
	}
//	{
//		map textures/re_concrete/aerhcrete03_256.tga
//		blendFunc filter
//	}
        {
                map textures/re_glass/plainglass1_serv.tga       
                tcGen environment
                rgbGen identity
		blendFunc filter
	}   
}

textures/servtemp/wood3_bf
{
	qer_editorimage textures/re_wood/wood3_bf.tga
	// draw the lightmap first
	{
		map $lightmap
		rgbGen identity
	}
	// modify the lightmap in the framebuffer by
	// a highly compressed detail texture
	{
		map textures/re_wood/wood3_bf.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		// YOU MUST USE THIS!!
		detail
		// for the detail to be disabled, this must be present
		tcMod scale 6.1 6.2
	}
	// now slap on the base texture
	{
		map textures/re_wood/wood3_bf.tga
		blendFunc filter
	}
}



textures/re_stucco/stucco003_tlab
{
	qer_editorimage textures/re_stucco/stucco003_tlab.tga
	// draw the lightmap first
	{
		map $lightmap
		rgbGen identity
	}
	// modify the lightmap in the framebuffer by
	// a highly compressed detail texture
	{
		map textures/re_stucco/stucco003_tlab.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		// YOU MUST USE THIS!!
		detail
		// for the detail to be disabled, this must be present
		tcMod scale 6.1 6.2
	}
	// now slap on the base texture
	{
		map textures/re_stucco/stucco003_tlab.tga
		blendFunc filter
	}
}

textures/servtemp/leather_serv
{
	qer_editorimage textures/re_misc/leather1_walpha_serv.tga
//	surfaceparm playerclip
	q3map_normalimage textures/servtemp/leather1_walpha_normal_serv.tga
//	surfaceparm trans


//	{
//		map textures/effects/tinfx2.tga
//		map textures/common/env_plain.tga 
//		tcGen environment
	//	blendfunc GL_ONE GL_ONE
//	}
	{
		map $lightmap
//		blendfunc gl_dst_color gl_dst_alpha
		rgbGen identity
	}
	{
		map textures/re_misc/leather1_walpha_detail_serv.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 10.1 10.2
	}
	{
		map textures/re_misc/leather1_walpha_serv.tga
		blendFunc filter
//		alphaFunc GT0
//		rgbGen identity
	}
}


// ************************************************************
// *****************************EOF****************************
// ************************************************************




//********************************************************************
//** Development shaders - remove				    **
//********************************************************************
// 
// textures/servtemp/card_rough_stucco_bump
// 
// {
// 	qer_editorimage textures/bumptest/card_rough_stucco.tga
// 	q3map_lightmapsamplesize 1x1
// 	q3map_normalimage textures/bumptest/card_rough_stucco_normal.tga
// 	{
// 		map $lightmap
// 	}
// 	{
// 		map textures\re_stucco\card_rough_stucco.tga
// 		blendFunc GL_DST_COLOR GL_ZERO
// 	}
// }
// 
// textures/servtemp/roseflag
// {
// 	tessSize 64
// 	surfaceparm trans
// 	deformVertexes wave 192 sin 0 1 0 .4
// 	deformVertexes normal .5 .5
// 	surfaceparm nomarks
// 	sort 6
// 	cull disable
// 	qer_editorimage textures/re_art/rosedecal_serv.tga
// 
// 	{
// 		map textures/re_art/rosedecal_serv.tga
// 		alphaFunc GE128
// 		depthWrite
// 		rgbGen vertex
// 	}
// 	{
// 		map $lightmap
// 		rgbGen identity
// 		blendFunc filter
// 		depthFunc equal
// 	}
// 	{
// 		map textures/sfx/shadow.tga
// 		tcGen environment
// 		blendFunc filter
// 		rgbGen identity
// 		depthFunc equal
// 	}
// }
// 
// 
// 
// 
// textures/servtemp/plasterform
// {
// 	qer_editorimage textures/servtemp/decoration_normal.tga
// 	q3map_lightmapsamplesize 1x1
// 	q3map_normalimage textures/servtemp/decoration_normal.tga
// 	surfaceparm trans
// //	surfaceparm alphashadow
// 	surfaceparm playerclip
// 	surfaceparm nomarks
// 	polygonOffset
// 	surfaceparm nonsolid
// 	cull none
// 
// 	{
// 		map textures/re_misc/plastercircle_serv.tga
// 		blendFunc GL_ONE GL_ZERO
// 		alphaFunc GE128
// 		depthWrite
// 		rgbGen identity
// 	}
// 	{
// 		map $lightmap
// 		rgbGen identity
// 		blendFunc GL_DST_COLOR GL_ZERO
// 		depthFunc equal
// 	}
// }
// 
// textures/servtemp/waterX
// {
// 
// 	surfaceparm nomarks
// 	surfaceparm nolightmap
// 	cull none
// //	q3map_surfacelight 500
// 	qer_editorimage textures/sea_water_anim/w01.tga
// 	
// 
// 	{
// 		animMap 1 textures/sea_water_anim/w01.tga // textures/sea_water_anim/w05.tga textures/sea_water_anim/w09.tga // textures/sea_water_anim/w13.tga
// 		blendFunc GL_ONE GL_ONE
// 		rgbGen wave Triangle 0 1 0 1
// 		
// 	}	
// 	{
// 		animMap 1 textures/sea_water_anim/w02.tga // textures/sea_water_anim/w06.tga textures/sea_water_anim/w10.tga // textures/sea_water_anim/w14.tga
// 		blendFunc GL_ONE GL_ONE
// 		rgbGen wave Triangle 0 1 .25 1
// 	}
// 	{
// 		animMap 1 textures/sea_water_anim/w03.tga // textures/sea_water_anim/w07.tga textures/sea_water_anim/w11.tga // textures/sea_water_anim/w15.tga
// 		blendFunc GL_ONE GL_ONE
// 		rgbGen wave Triangle 0 1 .5 1
//  	}
// 	{
// 		animMap 1 textures/sea_water_anim/w04.tga // textures/sea_water_anim/w08.tga textures/sea_water_anim/w12.tga // textures/sea_water_anim/w16.tga
// 		blendFunc GL_ONE GL_ONE
// 		rgbGen wave Triangle 0 1 .75 1
// 	}
// 
// }
// 
// 
// 
// **************************************************************************
// ************************************]\**************************************

















